summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2017-12-10 16:42:06 +0000
committerJustin Lecher <jlec@gentoo.org>2017-12-10 18:11:31 +0000
commit4c875ae16ea878f84c7745ca8a51e27ba9eea70c (patch)
tree402c57c4b551fd085fbc2ea8cb77ab6a8acd914c /sys-kernel
parentapp-backup/cachedir: New Package (diff)
downloadgentoo-4c875ae16ea878f84c7745ca8a51e27ba9eea70c.tar.gz
gentoo-4c875ae16ea878f84c7745ca8a51e27ba9eea70c.tar.bz2
gentoo-4c875ae16ea878f84c7745ca8a51e27ba9eea70c.zip
sys-kernel/aufs-sources: Bump to latest genpatches, aufs and linux release
Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.17, Repoman-2.3.6
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/aufs-sources/Manifest21
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.14.4.ebuild84
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.14.5.ebuild84
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.4.104.ebuild84
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.4.105.ebuild84
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.9.67.ebuild84
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.9.68.ebuild84
7 files changed, 525 insertions, 0 deletions
diff --git a/sys-kernel/aufs-sources/Manifest b/sys-kernel/aufs-sources/Manifest
index 9345e1a16e3..203ec75d978 100644
--- a/sys-kernel/aufs-sources/Manifest
+++ b/sys-kernel/aufs-sources/Manifest
@@ -4,15 +4,18 @@ DIST aufs-sources-4.13_p20171030.tar.xz 181416 BLAKE2B 9cedacfaa381e3ef71b9b927e
DIST aufs-sources-4.13_p20171106.tar.xz 181364 BLAKE2B 5e9df28387ec85d0435558b1233b67ae91ba140a0a9c054a957699882657b4277cf315141c996145a3166b136e9a4f6ab06af8babc4c8947036d84a57f655e16 SHA512 465050b243a62da38a8035494fcf12222bb0dc0b47334c8a7022d31781a875089e794454985c954630197fb3ee6acfcc65f4fa2cd06927873d8150e0d7f0b58a
DIST aufs-sources-4.13_p20171120.tar.xz 181364 BLAKE2B 5e9df28387ec85d0435558b1233b67ae91ba140a0a9c054a957699882657b4277cf315141c996145a3166b136e9a4f6ab06af8babc4c8947036d84a57f655e16 SHA512 465050b243a62da38a8035494fcf12222bb0dc0b47334c8a7022d31781a875089e794454985c954630197fb3ee6acfcc65f4fa2cd06927873d8150e0d7f0b58a
DIST aufs-sources-4.14_p20171120.tar.xz 181180 BLAKE2B 477af999db606c6a915b80cdf43d9f6f2c0b838cfcbecad71ed172bef2bf6333f3346be6e774066b70f0a8f54efd354b2c236aba714d46582321eaa05486700a SHA512 d5adf1fbee31861c659690ee126925df2eb75c2a18d6ea45342fad424be6d1370d0db04a86b051e631c8dfe8464454f0709f0129dc39b63f3b43b79ab7a7953e
+DIST aufs-sources-4.14_p20171127.tar.xz 181180 BLAKE2B ac8c6f6e0e90bca44c09f5a2965251716cd9cdd01a939131614078474a79a0d7146e6487fc7c4eec56b7af0d7e11c25ee43d3431b83e7c6662bb5d98bd2fc485 SHA512 5d977c7538221ca9441689a3b330ff50f809d5249d2e1b42089f208278a3d4fa4e3badb1165a8b9a85f7b58067ce2968f833c568d8a4c5bc2eb41c6a0c2df4f7
DIST aufs-sources-4.4_p20170925.tar.xz 171260 BLAKE2B c7a49fe6bfe4d2a83143872c32e987633db5c698d0ee3bf5018ac7091e1a421df7974fa129cb093dee52fdb6640827a784be5b5fe55a5b63fcc2815fc1228c8c SHA512 97aed8053f003156bac862af5037844554e65948abc13ab10371eb4e37ace25b22f5787f9bb3d444e60cb598aaa416c22222b12198d8842072407aa5f97bb3a8
DIST aufs-sources-4.4_p20171002.tar.xz 171260 BLAKE2B c7a49fe6bfe4d2a83143872c32e987633db5c698d0ee3bf5018ac7091e1a421df7974fa129cb093dee52fdb6640827a784be5b5fe55a5b63fcc2815fc1228c8c SHA512 97aed8053f003156bac862af5037844554e65948abc13ab10371eb4e37ace25b22f5787f9bb3d444e60cb598aaa416c22222b12198d8842072407aa5f97bb3a8
DIST aufs-sources-4.4_p20171106.tar.xz 171260 BLAKE2B c7a49fe6bfe4d2a83143872c32e987633db5c698d0ee3bf5018ac7091e1a421df7974fa129cb093dee52fdb6640827a784be5b5fe55a5b63fcc2815fc1228c8c SHA512 97aed8053f003156bac862af5037844554e65948abc13ab10371eb4e37ace25b22f5787f9bb3d444e60cb598aaa416c22222b12198d8842072407aa5f97bb3a8
DIST aufs-sources-4.4_p20171120.tar.xz 171260 BLAKE2B c7a49fe6bfe4d2a83143872c32e987633db5c698d0ee3bf5018ac7091e1a421df7974fa129cb093dee52fdb6640827a784be5b5fe55a5b63fcc2815fc1228c8c SHA512 97aed8053f003156bac862af5037844554e65948abc13ab10371eb4e37ace25b22f5787f9bb3d444e60cb598aaa416c22222b12198d8842072407aa5f97bb3a8
+DIST aufs-sources-4.4_p20171127.tar.xz 171260 BLAKE2B c7a49fe6bfe4d2a83143872c32e987633db5c698d0ee3bf5018ac7091e1a421df7974fa129cb093dee52fdb6640827a784be5b5fe55a5b63fcc2815fc1228c8c SHA512 97aed8053f003156bac862af5037844554e65948abc13ab10371eb4e37ace25b22f5787f9bb3d444e60cb598aaa416c22222b12198d8842072407aa5f97bb3a8
DIST aufs-sources-4.9_p20170925.tar.xz 180584 BLAKE2B 82c7bc47df1fb843706b3110a2a778a60840bd874393fd7b0a0ddfb40399e057895ce5360e59a9c0162333661ac7c00c6cbfe8b68d4abea537e6b8bdf92c061d SHA512 06d8db9f115fbf89f5bd8f47ff5ef3b0643b7a5d925d82a113c203272d234b9261a214e4eb9ea4fd083c9cf5d6a8bb64e37a7d4b1c47e1e636f6e56eeebe863f
DIST aufs-sources-4.9_p20171002.tar.xz 180576 BLAKE2B 5603195e6b17792256d00a05897e037f79d7fbe115f363516daac54d1d8f6f564d87f873a2460384b018e3c8da67f0f90be0c0caf6acf269f75f0fcf16f88ada SHA512 a9b3bae581b900e7b16e27b5a33c930835f9924c2af0f8d0c02ce55ac635e990671df87f7d2dba10402e965835b9ecfbd0bae155d17aaac0b440873ea30ec541
DIST aufs-sources-4.9_p20171030.tar.xz 180656 BLAKE2B 35826be242a2da7c1bb47aa81e14e6020345825a52d108f2c0a6dde7637ea6c8943b3f1c6d654811b9bd18b285d1dda96a29580d4338330de45c8ea68874e8d4 SHA512 934756ed0d6030853e7fcd2f3458936ed25829dc1f882b7bd3bdf308dadf1d33135411dec438f1515372838300f1acef53f46b2e2c39228df7c6429f27270a9a
DIST aufs-sources-4.9_p20171106.tar.xz 180656 BLAKE2B 35826be242a2da7c1bb47aa81e14e6020345825a52d108f2c0a6dde7637ea6c8943b3f1c6d654811b9bd18b285d1dda96a29580d4338330de45c8ea68874e8d4 SHA512 934756ed0d6030853e7fcd2f3458936ed25829dc1f882b7bd3bdf308dadf1d33135411dec438f1515372838300f1acef53f46b2e2c39228df7c6429f27270a9a
DIST aufs-sources-4.9_p20171120.tar.xz 180656 BLAKE2B 35826be242a2da7c1bb47aa81e14e6020345825a52d108f2c0a6dde7637ea6c8943b3f1c6d654811b9bd18b285d1dda96a29580d4338330de45c8ea68874e8d4 SHA512 934756ed0d6030853e7fcd2f3458936ed25829dc1f882b7bd3bdf308dadf1d33135411dec438f1515372838300f1acef53f46b2e2c39228df7c6429f27270a9a
+DIST aufs-sources-4.9_p20171127.tar.xz 180656 BLAKE2B 35826be242a2da7c1bb47aa81e14e6020345825a52d108f2c0a6dde7637ea6c8943b3f1c6d654811b9bd18b285d1dda96a29580d4338330de45c8ea68874e8d4 SHA512 934756ed0d6030853e7fcd2f3458936ed25829dc1f882b7bd3bdf308dadf1d33135411dec438f1515372838300f1acef53f46b2e2c39228df7c6429f27270a9a
DIST genpatches-4.12-13.base.tar.xz 227724 BLAKE2B 0f94a7ac7eef1ea17a8e675260f7b2139987c6b6c6626b96666deb20c629f78ee2658157fbcf6c615bfd704ba69a1bab828c173f727dfbcd592468432739946e SHA512 6088bbe9b0007715e146917cb4288df69ee0d6a4e5628db90005c68d025bd12e304dd9e00e51a5a1a6844ed06a09571e9faec494257fd2aa3d6abc3bc9838000
DIST genpatches-4.12-13.experimental.tar.xz 5188 BLAKE2B 99b1038073ab428ecaa9a5120b51d28b5738850fbe4d4a7805d191e52e2868f8008b9c324420384e888e711c0be4568090d04d92ef8c90840524e478e963c008 SHA512 80adbc13d7478b5c55b0b6380ffb1ba42cc10de8eb996db0457a1df6677e401d612f74ab756a9bab83b99f857af323d9d7fa6c36ace9aa0950671e1843c84777
DIST genpatches-4.12-13.extras.tar.xz 17352 BLAKE2B cffd020c199085eba3894d9fb6e6bdac57df15c3ee43cdb1a851bf5baa6acbbf9b86dc9b0c4f8002d252d72d87777f09bce3388131cd5608d3461b533c465f01 SHA512 2f7f76e090926cff4c2980215a51cc745d8aa14a9153a8cd6170fee94e21d1b31beae0209d23963c7cc71bbcd0dbc6789e4b3eb0d8c6a0184c128a54bef44bdd
@@ -52,6 +55,12 @@ DIST genpatches-4.14-3.extras.tar.xz 17480 BLAKE2B 346a3292223a5e046c019a50cce2b
DIST genpatches-4.14-4.base.tar.xz 87480 BLAKE2B 753bc9a5145ae32f1d4562862449f798ac9c78111819c7c279327039f74142fd0ae6955d559801736b6d2a0b074cae56d53226e5745cb8c85e76b0bd42ea0673 SHA512 8c0d8d864dea85f6730cc8c5bb1bcefefc8ef3ee5254ba62f0d4e90c5787ea6423988f4c303e0e32aa41fc9e5d4fc01103136556daa826a57403522066c3c949
DIST genpatches-4.14-4.experimental.tar.xz 5184 BLAKE2B f1d9938a476a958a5fb42b60589234df5c85211b2ebfe59316dd32036ce2a93fdd405f02976ed8eb9312841a4853bac0baec4df52cfc09278b7cdd1fe76e0718 SHA512 85f3055ce8ee187fc7105bf338dc18fbbf02e9cec27aedec10a6fde4db89dec70e666e63dd24497decfefb4b1f59c74789079614025304df67484d80f81d7ede
DIST genpatches-4.14-4.extras.tar.xz 17488 BLAKE2B ddab5ff81dc6cfe85ce3805846d8d74ce1eb8a2c79b2156e4363fa9592d1a0edec9f9812b9f41bd9ed955ac7030188776a7da5ff4a59408a0d5cf74bf0e629d6 SHA512 7ab148e3db28367ac7d8e56f75e65cafc3b80fd0932018d5ebd1ba1ba1b97521c94e30055fd653803806825bbc8be65e4fff2924907f9144b5ccdb48a53b00c8
+DIST genpatches-4.14-5.base.tar.xz 115968 BLAKE2B d48a56eef5c045c79a355b765f7b569280b741f5879b7ae2ffd411922a27225d8150554f42f70503218bb7ac674434c01f0e2350e7c7e8da256cd36be11a502c SHA512 67c9b9c295ec90137c05385be239b6d2d0e79465a3f1e9f92ac3d0e6d8bb50a9107885a009a185d0cb2102e31d773cfd690f0d8ccafc0bacdcfab607ae556872
+DIST genpatches-4.14-5.experimental.tar.xz 5184 BLAKE2B 13611ce70740cae179fd732ddab8b5daa1f8feab9d5fe80081753020e0df42dd76c8c8696522769a950f9eded8a92b80c93dece78a9c959a1fb9ac5ee61af101 SHA512 c6725e6728c9fbe923472116977136a13bf6ee4e4e450478ab2eb2e7c91d88fb50961b017d9c57335bd329543a830ba629bd064975326f187d72ae7376687d5e
+DIST genpatches-4.14-5.extras.tar.xz 17488 BLAKE2B 16281a8110e0e1156aeaa1b5bc219e3bad364b22da6ef3a540e16c0f0a2a9fd1fd3fd550d002e79b4095916863f93cfdf4b49617b9b1c3bea8263c54702205a0 SHA512 f15a3b545b5d4c1359f57046cc2dcd273508737129b181ab3a8c7eb7ee65f5ddb82ecf8b1f96095da87d5fb9659ec4f0eb4826aab63b45bfda2530ed8a609605
+DIST genpatches-4.14-6.base.tar.xz 135424 BLAKE2B 28b59fc433c1b4d5c4fa4fd5bc71192eda5da51ce63a4af245b746425bac1abe9313a1cbc760396fcaa160c1c6333e756697923d45f114da94eaa2ed3ae8659b SHA512 460e38c9895156c2a16d3aadcaa4a2c9974a14e561155b914da143b14c726d9e8ad74cb435bd2ee51ad2a0966166e3705f943bd3831e3e33932373b2e04ace36
+DIST genpatches-4.14-6.experimental.tar.xz 5176 BLAKE2B e28358bab3de6aa0274d537ca15239154bb69e5819ada8cb050ee35bb5885ff3ef5610988ebb1afa2bab3500c28300299c65e58aa302a6cfacad0aa2a8cb0244 SHA512 bdca000c196e1db78b27d16bf1abda0872d982375a5e33d4a9cbb5610df384f08692120460cda43ae06e0b9a6ea9c2c1c565697fbffdc9cb46e92d1ad628c74a
+DIST genpatches-4.14-6.extras.tar.xz 17488 BLAKE2B 39d46c202139f9d4b19eee37e711c81e95ce3b25924a70a3f75e6e4c6d4c665c1c73890fb0f61ea4ecad04cf9d9e2ad4788bad1e9c9e0e2fd03a07c3f5f8c713 SHA512 0fc7403ab27bc6a7ca1ff641bee8e8ea92bd04913e84c9559ac210cb6ecebb08dc4be9fdba6176c4c2d543990ea23d68a9f403dede6f1b2b56456d63d992faf3
DIST genpatches-4.4-100.base.tar.xz 1513104 BLAKE2B 9b14d28288288ba467f32ed32f1944734f6f457883f360d844171c0d22f28e75a00026b8d736ce0673a80812e5471e9de0e89dbb45e510dfa3f6bd85391eef2f SHA512 75324834165e3493387e635918cb81d73d27b3274cc6826557df548f7f84a0aab456faf1b60e1e4bf35d8ae5fef00d1bdb4298f43208440c0422e006a3b248ef
DIST genpatches-4.4-100.experimental.tar.xz 87748 BLAKE2B 81c2c32d1f590c958895c9f0de60b2e1ddea61c994e950ef721ea59c33432934a4ccb443b08cf164c0031b4fb0f03ad6f85029e5f23508988230f1da18c6ed5b SHA512 822c943f114c35a8caeea20ee5f6c56d67f0d1122ca9db8f3bd9f34561735b0eaa72f9be7161b55c390ab5adf967ee64540a81a042746e39c6d294158cfd52b9
DIST genpatches-4.4-100.extras.tar.xz 16464 BLAKE2B a8f9d161806e308f87b25d9d8b56b3f4eb61d9315e5eb753d7bd75506c9ce729262c2d3444f98e295e2ac9d5b52b5d147361f9b502f4718b0203a2eb67474671 SHA512 b9ae815130b993cd2723ba54c41aa62b04e8e373b4b26f63ad0c511c445eaa1af71e7d63f0eaecd23b6ded8589b65b4e9da0dd62349a0b8b836b15b01a4e523b
@@ -73,6 +82,12 @@ DIST genpatches-4.4-105.extras.tar.xz 16460 BLAKE2B 672957c70a6d024dc6791e643ad2
DIST genpatches-4.4-106.base.tar.xz 1578596 BLAKE2B db4ebc32b4af5b13d436eeb28370207d308c8795dcad3f19e1213040584a114fe85622b7681765699d5e5e1ca6924c92409814d769a1434d6126b4e066ddbefe SHA512 927e4ab34c59e1a1a22c4fb2f162f7883188339b67688a31c707a7edaf33f5de36cabd709fab484b43da2dd0ec5101857a4c9be5ed10e490b36182fc208036f5
DIST genpatches-4.4-106.experimental.tar.xz 87780 BLAKE2B 2e5ee20d172653a7d05495ced9cf759ab1ba8e8d20cefffa6c41c2fceb1192eaad2c8956b22ad7db88ffc8e3b068929d92b3042572f84028b9fe295382606e5f SHA512 a231ffa95aa64325a0d09cdd61d4515f17768b13c21c38c817e57b57dc244c1a162fd05bc408f94bd3cc5ec99a55748065e0384b9ff99bee2582203a7778c510
DIST genpatches-4.4-106.extras.tar.xz 16460 BLAKE2B 7911a046df74d53a7ce79ed6c8e89f635f2e038806eeeb90fe19541cdef743992982a599a5f8e30a2079303112629d942f4e4eb31ae71a43168e6d74adf25a2b SHA512 3da45183686a962d33f6ae7a9ae10cd275bced09dba0913874737ba5915970e7142fe9ea96c1c294f6f43f10d24560a42d78edf664c3e6d0f1318ceb753a85ac
+DIST genpatches-4.4-107.base.tar.xz 1587988 BLAKE2B 827d3ae42c0fc412c165568edaf1f8550bf828d7e2edb7c5abd3013a2b639dbeb68d2e3a9656e2995baee07c7619695918e654174528ce3eebc8a891715bc636 SHA512 1fffc6d7b2c186c87c8b343d4bf5fcf94086dae9f4e70b2965f5dc8c18ff4753d417074ec4ad7deca29ff597a6e5d0cfca4bf325609596678febea5ac2f5ea24
+DIST genpatches-4.4-107.experimental.tar.xz 87776 BLAKE2B b239fcc9ee1d0344a9fac8b6ae8e712bdf97df7547a2d3d1d6b39ea23f50d8836ae8fac3bfffcc401b3af52dd333b2b2b1e1626fb739da608d247be5fc67dbf3 SHA512 49e0cbc980cfafc7992d92e0bd2dd07d594ec39b9ba0bae27dd915eaffbd78c5af6d3d47847a98ee9a619447b3b220faf0c44484dc99088609ff8053f3c5d907
+DIST genpatches-4.4-107.extras.tar.xz 16468 BLAKE2B 1ece602969ead12faab3e0e5d5703a75c737a18efe873d5bdda71ff134387f5760a76105262270543b4a0e882a9b5434905b3846bd68cc3af5bc1b0383122cd2 SHA512 0843f4cc2cb2b3219f7e1343d68062a9c86f08c51c67a801f82c7685c8c0eb92ea32841a8a6d4bb8da9fc9882eeb965bc66317d7c14e7a5ffbb58214f962dc35
+DIST genpatches-4.4-108.base.tar.xz 1596748 BLAKE2B 20fca27a2b2b68f6e2b2b1254f21498805597470c4fc9a01a33c8d03baea3ae62e5b7e8af0f2f16f236f84063e7d6d24351b8b7ac07db198c1c98d5f0a7ecf51 SHA512 8fdd0a541c8c7ad1800557153d8d2caea2c04abb6ecc50eb0e789cbb790fe63192bdc4f2a3b6c9a0f7059699aff6385082491d721466d696968ba69861987a0d
+DIST genpatches-4.4-108.experimental.tar.xz 87776 BLAKE2B 16109490dc0247b221fe7cc51e53628e3f458c0387e2add18ec79ab6607189287763eb90c20685fedfbc4a8b06a36b65b16b25cb2c60aa8a33e1e8d72858a53f SHA512 97f169cc9fcb966118ced170a26cd58926a470a8b4bce5e96dcfe352f2537d0dcd2c3407d2b4df8c07d10d00e22f3a32fa82f3621567a367cbc59424203574ea
+DIST genpatches-4.4-108.extras.tar.xz 16444 BLAKE2B e5779b1707eeedc2c79f8280b995ad8e3dfdf4d15f12f6189da7b1600d72e9ffef8b94b7def795415862d70e7704170bfa5fb26573d4ba69934357e351c9ef45 SHA512 ea496a3275612cd1b56ed8be01c6c4b413b39c0e0815d52ba359dd50c2717ffe123ac92138c4f9f61065a3c2c710c54bfc63dc9e35314ec30fef03e5625bb2db
DIST genpatches-4.4-91.base.tar.xz 1428436 BLAKE2B 4b706e9682e883dd1954632efe5ec161347432a6260c353e160b8591f8377e6d1e1768acd2e3e72237e3ea6b7104137e3504e3f290fb12b0dabf662b0fb034c1 SHA512 cdddd25be04b33558f7ebcee66df992aae38f29181474ebed82958d4d50639097b4a82eaf256d7b3576bfcd0cd3fe7682956e1d2cdbdb912d47fe86205d9b554
DIST genpatches-4.4-91.experimental.tar.xz 87760 BLAKE2B d8a165fb3708192a12e826a713e896ca83785da084c9a9aeaae909473c598669867fa303636d762facd2d7bc1a857da3ba0d994ee62d008dc17955dd84181942 SHA512 0bbc83e076d45da1d0258bfd7f6acf6170e99891a9a857b2552f3a0fcefff4f318a8c5c8779591b0bb654760f905530de18723f2ba960618eae59a1b7219c28f
DIST genpatches-4.4-91.extras.tar.xz 16468 BLAKE2B b99298cd9e57a2b8a0619495df0450373c9f5c14ff2398d76534c7167f3a563c05e67f9aff80ff97a474ae7a8cb298a4ffbc5eab25d79075aac5cc01964c3e9d SHA512 229922945fcb882a0cb7dcba8bac9de51683690462a8df59e181a03d702fcb1c9b54078c5434624b4a197c481f0bb9b73dca58456ef5a5884a30bfd3644dfd6d
@@ -106,6 +121,12 @@ DIST genpatches-4.9-67.extras.tar.xz 17352 BLAKE2B c56b8e7483fc9f44fcaf930313614
DIST genpatches-4.9-68.base.tar.xz 1266744 BLAKE2B 287306aeecbab6cf9b9c08440ee333e729d0af555fec354400c54e407a1c3b8a723ea95c28b7d3c13fe37f4c7fb78c273eec8d6a68f31b68ec24ba45a374bef7 SHA512 4ba94ae3f592cdc466ab58e4bba9781fee915df4994beb6c9dec4efd3622b180cf0d145de585ec9a7361ed2ec636910a42b449d937dca50983bd7f13494edd16
DIST genpatches-4.9-68.experimental.tar.xz 106380 BLAKE2B e360ddf86cc6db981937c188ccd5106754c7533ec01e6e4d4c9dcef72092b11c4d9accf0389414c3f20032977e010d29344f1014f490e9e13cc51b59d1f59d1b SHA512 000567fef478babbe86b706bc9532756bf42f2c2e09aa3f4e39f7fff8d90fd9dfe65929fb1b9473031d6529ce4ea4a9a8dd8bb7dc615a58f5157ccb2ad4b9249
DIST genpatches-4.9-68.extras.tar.xz 17352 BLAKE2B 215a823f33f6d5cccbfd9597ae123a885abaf1bd2deef215b1f4c76dbd0652c4160152b96b62cfaa7523899f49263a48d49c9bfc43cab3fd44ca3aabadb54605 SHA512 549e8fc65d62b5197ffd047b7c281c183d267a7d93dbe4c46fe19c161fa84db9a00db9e4cf254431303dbfc8652dc360aa53af8057ab5a433fcc98dbc3748c9f
+DIST genpatches-4.9-69.base.tar.xz 1274148 BLAKE2B 732076c76dc8c5077ea804065c86e3c384004b484d661c60a5534964fe94a07ea86e6cec9e47d1484ace04a22123f88ac9a511e90998da948869c266f3b2c3be SHA512 5db83495c9b9757822df7a3733a29cb897163ce51bbb143fdfd31d42f9e5fab73dcd5c4ef18fa0c502838359ad3d9b9c9de625041042119df46f68d847eb26e6
+DIST genpatches-4.9-69.experimental.tar.xz 106392 BLAKE2B a8025d5b3c4a86240beaca7237f8876d9690a6029dfbed72ad86b4e64ae69103717b034d3071a13d70e966ded9bd5847f40c9a81003380b0e0c6530dc0f404a6 SHA512 b91c383adb79de67fca53d4c729cd449973544d5d0c9c03cbd4fb2eeab37db4c018d460e15c985a8bd63ce6294dad160ad44dd9cfaf860a35e911b4a31594291
+DIST genpatches-4.9-69.extras.tar.xz 17352 BLAKE2B e9a8c063812acf2155ebd6241e6061ab40328194c3a158feb8e53d4dc464b011184892ad8a0f240ef8cd8e5e1569981999fc46fda9d23b8e8ce9e1a05d8a7109 SHA512 5d48f1dc65bd352fe77793f3e8f5b3f689582aaa649a423b62ffc4d4e84113d6cb305d60bc09d37c191c46daf85e5021b27b4c7097b10a7df0aa5335d5e8116c
+DIST genpatches-4.9-70.base.tar.xz 1296720 BLAKE2B 77d1f7205ecf185b1ba438737d5601b178c2bf7a7abb495eba32b96cc0431827ae7a4c3a8b2a5a694c72e266fbb9a403b1be910c161c0f07c575ddc010edcda6 SHA512 5359503b833430531a75e6a67d841031d1275034db9cc885180eea6569bd5ac52325fde6a650902f988850b87ee2e184b9449020ad197278814cad75e38a490e
+DIST genpatches-4.9-70.experimental.tar.xz 106392 BLAKE2B 8fa9653f9bdec9a2104730fad3e2d7133da1ff08d8469c79386fd133e3de46a5562d4efa9087f4e7202143357d8f0fe777a1ed04e8267939f9eecdb333298f27 SHA512 fe319fb330fdde6c172df864b9ffcfe3b7449d31b66af7a739dbd6f1f721a64e94c450af077594e208d5c52cd0fe9bd60f320b73898c2e5c21ae2b0ab97cf1bc
+DIST genpatches-4.9-70.extras.tar.xz 17352 BLAKE2B e466ca37103e8ed9eef13095b939a2adb0827da183bfdb866e3fd6b99f8821dbe77fdf0e64f597d1c09c9e916825a1563211c5620af2ce9aa383c64ac4e1bd4c SHA512 9bfbc48de9c0b460429fe51de7122b7961907bcb66d7acd7a1e93a2bc29960e824737bac3fed8193758f50a0f6f5b540ef58a8364bb7948e0103f64bb950c8a4
DIST linux-4.12.tar.xz 99186576 BLAKE2B 02d031c7f2f29849c06a6b5b589af78bc486a05a758267e47f2ff16844ae8ca701fff53cb859fcc105f7ea92c0769acf8d7f7cc116444c15235ef4d63cadc8c0 SHA512 8e81b41b253e63233e92948941f44c6482acb52aa3a3fd172f03a38a86f2c35b2ad4fd407acd1bc3964673eba344fe104d3a03e3ff4bf9cd1f22bd44263bd728
DIST linux-4.13.tar.xz 100579888 BLAKE2B 2f8be07d403071b097b019c43fa332bc7d4805dee633a6fdffe5a99d5475015ca9e4881e7f4cbfd36f8c451bacf423436364ea3d9f25b8723a29a178dededb2b SHA512 a557c2f0303ae618910b7106ff63d9978afddf470f03cb72aa748213e099a0ecd5f3119aea6cbd7b61df30ca6ef3ec57044d524b7babbaabddf8b08b8bafa7d2
DIST linux-4.14.tar.xz 100770500 BLAKE2B 85dc4aa953fe65e273a24473d8de98e4f204f97c43be9fc87cf5be01f796f94cfde5c8f9c84619751f1cac51f83ce0b4681fb19c5f2965a72d4a94fe5577846a SHA512 77e43a02d766c3d73b7e25c4aafb2e931d6b16e870510c22cef0cdb05c3acb7952b8908ebad12b10ef982c6efbe286364b1544586e715cf38390e483927904d8
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.14.4.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.14.4.ebuild
new file mode 100644
index 00000000000..865ac76ff85
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.14.4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=5
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.14_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.14.5.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.14.5.ebuild
new file mode 100644
index 00000000000..b162782f3c5
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.14.5.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=6
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.14_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.4.104.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.4.104.ebuild
new file mode 100644
index 00000000000..f40f8ac7cc1
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.4.104.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=107
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.4_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.4.105.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.4.105.ebuild
new file mode 100644
index 00000000000..8f2ad18b26f
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.4.105.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=108
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.4_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.9.67.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.9.67.ebuild
new file mode 100644
index 00000000000..abe25bad71c
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.9.67.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=69
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.9_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.9.68.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.9.68.ebuild
new file mode 100644
index 00000000000..b58f402b41b
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.9.68.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=70
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.9_p20171127
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="experimental module vanilla"
+
+DESCRIPTION="Full sources (incl. Gentoo patchset) for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}